
disp('Dataset Statistics')
disp('==================')
fprintf('%s\t%s\t%s\n', 'SET', 'CLIPS', 'SENTENCES')
sets = {'Short', 'Detailed'};
for i = 1:2
  annos.(sets{i}) = load(sprintf('annos%s-struct.mat',sets{i}));
  annos.(sets{i}).id = sprintfCell('%d-%d-%d-%d', annos.(sets{i}).annos.subject,annos.(sets{i}).annos.dish, annos.(sets{i}).annos.startFrame,annos.(sets{i}).annos.endFrame);
  fprintf('%s\t%d\t%d\n', sets{i}, numel(unique(annos.(sets{i}).id)), numel(annos.(sets{i}).annos.subject))
end

idVideo = sprintfCell('%d-%d', annos.Detailed.annos.subject,annos.Detailed.annos.dish);
fprintf('%s\t%d\t', 'Single Sent', numel(unique(idVideo)))
!wc -l annosSingleSentence.csv
